<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Giải phương trình bậc 2</title>
  </head>
  <body onload="onPageLoading();">
    <h1 style="color: red">Giải phương trình bậc 2</h1>
    <p>Phương trình bậc 2 có 3 tham số a,b và c</p>
    <label>Số a</label>
    <input type="text" id="ipsoA" placeholder="Nhập số a" />
    <br />
    <br />
    <label>Số b</label>
    <input type="text" id="ipsoB" placeholder="Nhập số b" />
    <br />
    <br />
    <label>Số c</label>
    <input type="text" id="ipsoC" placeholder="Nhập số c" />
    <br />
    <br />
    <button
      style="background-color: blue"
      id="btntimnghiem"
      onclick="tinhphuongtrinh();"
    >
      Tìm nghiệm
    </button>
    <p id="inketqua"></p>
  </body>
  <script>
    function onPageLoading() {
      var numA = document.getElementById("ipsoA");
      var numB = document.getElementById("ipsoB");
      var numC = document.getElementById("ipsoC");
      var ketqua = document.getElementById("inketqua");
      console.log("id: " + numA.id + ", placeholder: " + numA.placeholder);
      console.log("id: " + numB.id + ", placeholder: " + numB.placeholder);
      console.log("id: " + numC.id + ", placeholder: " + numC.placeholder);
      console.log("id: " + ketqua.id + ", placeholder: " + ketqua.placeholder);
    }
    function tinhphuongtrinh() {
      console.log("Tìm nghiệm của phương trình bậc 2");
      var numA = document.getElementById("ipsoA");
      var numB = document.getElementById("ipsoB");
      var numC = document.getElementById("ipsoC");
      var ketqua = document.getElementById("inketqua");
      var a = parseInt(numA.value);
      var b = parseInt(numB.value);
      var c = parseInt(numC.value);
      var delta = b * b - 4 * a * c;
      //
      if (delta > 0) {
        var x1 = (-b + Math.sqrt(delta)) / (2 * a);
        var x2 = (-b - Math.sqrt(delta)) / (2 * a);
        ketqua.innerHTML ="Phương Trình có 2 nghiệm: " +
          "<br>" +
          " x1 = " +
          x1 +
          "<br>" +
          "x2 = " +
          x2;
        inketqua.style.color = "green";
      } else if (delta == 0) {
        var x = -b / (2 * a);
        ketqua.innerHTML = "Phương Trình có 1 nghiệm kép x = " + x;
        inketqua.style.color = "blue";
      } else if (delta < 0) {
        ketqua.innerHTML = "Phương Trình vô nghiệm";
        inketqua.style.color = "red";
      }
    }
  </script>
</html>
